%define prev    rel.1
%define rel     5

%define lpre    %(echo %{prev} | tr -d .)

Name:           lynx
Version:        2.8.9
Release:        %mkrel -c %{lpre} %{rel}
Summary:        Text based browser for the world wide web
License:        GPLv2
Group:          Networking/WWW
URL:            http://lynx.browser.org/
Source0:        ftp://ftp.invisible-island.net/lynx/tarballs/lynx%{version}%{prev}.tar.bz2
# Source0:        http://invisible-mirror.net/archives/lynx/tarballs/lynx%%{version}%%{prev}.tar.bz2
Patch0:         lynx-2.8.9-adapt-to-modern-file-localizations.patch
Patch1:         lynx-2.8.9-default-config.patch
Patch2:         lynx2-8-6-fix-ugly-color.patch
Patch3:         lynx2-8-7-tmp_dir.patch
Patch4:         lynx2-8-6-don-t-accept-command-line-args-to-telnet.patch
Patch5:         90_CVE-2021-38165.patch
BuildRequires:  gettext
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(libidn)
Provides:       webclient = %{version}-%{release}
Provides:       lynx-ssl = %{version}-%{release}
Obsoletes:      lynx-ssl < %{version}-%{release}

%description
This a terminal based WWW browser. While it does not make any attempt
at displaying graphics, it has good support for HTML text formatting,
forms, and tables.

This version includes support for SSL encryption.

WARNING: In some countries, it is illegal to export this package. In some
countries, it may even be illegal to use it.


%prep
%setup  -q -n %{name}%{version}%{prev}
%autopatch -p1

perl -pi -e 's,^#LOCALE_CHARSET:.*,LOCALE_CHARSET:TRUE,' lynx.cfg

%build

debian_options=`cat << DEBIAN
        --enable-warnings
        --enable-8bit-toupper
        --enable-externs
        --enable-cgi-links
        --enable-persistent-cookies --enable-nls
        --enable-prettysrc --enable-source-cache
        --enable-charset-choice
        --enable-default-colors
        --enable-ipv6
        --enable-nested-tables --enable-read-eta
        --with-zlib
DEBIAN`
# removed --enable-exec-links --enable-exec-scripts,
# it goes together with LOCAL_EXECUTION_LINKS_* in lynx.cfg


redhat_options=`cat << REDHAT
        --with-screen=ncursesw
        --enable-internal-links
        --enable-libjs
        --enable-scrollbar
        --enable-file-upload
        --enable-locale-charset
        --with-ssl=%{_libdir}
        --enable-addrlist-page
        --enable-justify-elts
REDHAT`

other_options=`cat << OTHER
        --enable-color-style
        --enable-nsl-fork
        --enable-debug
        --disable-rpath-hack
OTHER`

# (cf INSTALLATION file for more about the options)
# --with-included-gettext  is the default
# --enable-kbd-layout not useful enough
# --enable-cjk not needed for CJK and may go away in a future release
%configure --libdir=/usr/share/lynx $debian_options $redhat_options $other_options
%make_build

%install
%make_install install-help

install -d %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/lynx-site.cfg <<EOF
# Place any local lynx configuration options (proxies etc.) here.
EOF

%find_lang lynx

%files -f lynx.lang
%doc README
%config(noreplace,missingok) %{_sysconfdir}/lynx-site.cfg
%config(noreplace) %{_sysconfdir}/lynx.cfg
%config(noreplace) %{_sysconfdir}/lynx.lss
%{_mandir}/*/*
%{_bindir}/*
%{_datadir}/lynx_help


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 2.8.9-0.rel1.5.mga9
+ Revision: 1839299
- Mageia 9 Mass Rebuild

* Sun Oct 03 2021 joequant <joequant> 2.8.9-0.rel1.4.mga9
+ Revision: 1748728
- disable rpath hack
- update openssl
+ wally <wally>
- rebuild for openssl 3.0.0

* Mon Aug 30 2021 ns80 <ns80> 2.8.9-0.rel1.2.mga9
+ Revision: 1743576
- add patch from Debian for CVE-2021-38165 (mga#29342)

* Thu Mar 11 2021 daviddavid <daviddavid> 2.8.9-0.rel1.1.mga9
+ Revision: 1701459
- new version: 2.8.9rel.1

* Thu Feb 13 2020 umeabot <umeabot> 2.8.9-0.dev17.4.mga8
+ Revision: 1514960
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.8.9-0.dev17.3.mga7
+ Revision: 1299420
- Mageia 7 Mass Rebuild

* Fri May 11 2018 kekepower <kekepower> 2.8.9-0.dev17.2.mga7
+ Revision: 1228380
- Rebuild for libidn 1.35

* Thu Mar 22 2018 shlomif <shlomif> 2.8.9-0.dev17.1.mga7
+ Revision: 1211203
- New version 2.8.9dev17

* Sat Feb 10 2018 daviddavid <daviddavid> 2.8.9-0.dev16.1.mga7
+ Revision: 1200095
- new version: 2.8.9dev.16
- remove merged upstream patches
- update URL and Source URL
- rename and rediff adapt-to-modern-file-localizations patch
- rename and rediff default-config patch

* Thu Dec 07 2017 ns80 <ns80> 2.8.8-1.rel2.9.mga7
+ Revision: 1181605
- add patch for CVE-2017-1000211 (mga#22132)

* Sun Aug 06 2017 joequant <joequant> 2.8.8-1.rel2.8.mga7
+ Revision: 1137987
- rebuild with openssl 1.1 and add debug symbols
+ tv <tv>
- rebuild for new openssl

* Fri Feb 17 2017 ns80 <ns80> 2.8.8-1.rel2.6.mga6
+ Revision: 1086554
- add reworked Debian patches for CVE-2016-9179 (mga#19714)

* Wed Mar 02 2016 umeabot <umeabot> 2.8.8-1.rel2.5.mga6
+ Revision: 983645
- Rebuild for openssl

* Mon Feb 01 2016 umeabot <umeabot> 2.8.8-1.rel2.4.mga6
+ Revision: 930024
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.8.8-1.rel2.3.mga5
+ Revision: 745270
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8.8-1.rel2.2.mga5
+ Revision: 682105
- Mageia 5 Mass Rebuild

* Mon Mar 10 2014 luigiwalser <luigiwalser> 2.8.8-1.rel2.1.mga5
+ Revision: 601658
- 2.8.8rel.2
- rediff patch1

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.8.8-1.rel1.1.mga5
+ Revision: 591774
- 2.8.8rel.1
- rediff patch1

* Thu Feb 06 2014 luigiwalser <luigiwalser> 2.8.8-1.pre4.1.mga5
+ Revision: 584135
- 2.8.8pre.4
- rediff patch1

* Thu Dec 19 2013 luigiwalser <luigiwalser> 2.8.8-1.pre2.1.mga4
+ Revision: 558885
- 2.8.8pre.2
- rediff patch1

* Wed Dec 11 2013 luigiwalser <luigiwalser> 2.8.8-1.pre1.1.mga4
+ Revision: 556379
- 2.8.8pre.1
- rediff patch1

* Sat Oct 19 2013 umeabot <umeabot> 2.8.8-1.dev16.2.mga4
+ Revision: 532208
- Mageia 4 Mass Rebuild

* Sat Aug 17 2013 wally <wally> 2.8.8-1.dev16.1.mga4
+ Revision: 467366
- 'fix' release tag

* Sat Aug 17 2013 wally <wally> 2.8.8-1.dev.16.mga4
+ Revision: 467362
- BR libidn-devel
+ luigiwalser <luigiwalser>
- 2.8.8dev.16
- rediff patch1

* Fri Nov 30 2012 luigiwalser <luigiwalser> 2.8.8-1.dev.15.mga3
+ Revision: 323504
- 2.8.8dev.15 (fixes CVE-2012-5821)

* Tue Oct 09 2012 barjac <barjac> 2.8.8-1.dev.14.mga3
+ Revision: 303942
- add 2_5x to configure
- new tarball dev.14
- re-enumerate patches for clarity
- use correct default config patch
- New version 2.8.8
- Fixes bug #7399
- Thanks to Joseph Wang for work on patches
- Spec cleaned

* Sat Jan 08 2011 blino <blino> 2.8.7-4.mga1
+ Revision: 634
- adapt to Mageia
- remove old config migration
- imported package lynx


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.7-4mdv2011.0
+ Revision: 606451
- rebuild

* Mon Apr 05 2010 Eugeni Dodonov <eugeni@mandriva.com> 2.8.7-3mdv2010.1
+ Revision: 531867
- Rebuild for openssl 1.0.0.

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 2.8.7-2mdv2010.1
+ Revision: 511591
- rebuilt against openssl-0.9.8m

* Sun Jan 03 2010 Funda Wang <fwang@mandriva.org> 2.8.7-1mdv2010.1
+ Revision: 485949
- rediff tmp_dir patch
- new version 2.8.7

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.8.6-5mdv2010.0
+ Revision: 426021
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 2.8.6-4mdv2009.1
+ Revision: 317055
- fix build with -Werror=format-security (P13)

* Thu Oct 30 2008 Pixel <pixel@mandriva.com> 2.8.6-3mdv2009.1
+ Revision: 298758
- patch12: security fix for CVE-2008-4690

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.8.6-2mdv2009.0
+ Revision: 230792
- fix build

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 2.8.6-2mdv2008.1
+ Revision: 140934
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Pixel <pixel@mandriva.com> 2.8.6-2mdv2008.0
+ Revision: 25767
- fix segfault with -crawl -width -dump options (#29785)


* Thu Nov 16 2006 Pixel <pixel@mandriva.com> 2.8.6-1mdv2007.0
+ Revision: 84986
- new relase
- adapt to lynx.cfg and lynx.lss now in /etc (they were in /usr/share/lynx)
- adapt to lynx_help now in /usr/share (instead of /usr/share/lynx)
- adapt patches or remove patches applied upstream (patch12 & patch13)

  + Oden Eriksson <oeriksson@mandriva.com>
    - Import lynx

* Tue Sep 26 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 2.8.5-9mdv2007.0
- rebuild for new ncurses

* Mon Nov 14 2005 Pixel <pixel@mandriva.com> 2.8.5-8mdk
- P13: security fix for CVE-2005-2929 (Vincent Danen)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.8.5-7mdk
- rebuilt against openssl-0.9.8a

* Thu Nov 03 2005 Pixel <pixel@mandriva.com> 2.8.5-6mdk
- fix bug in P12 for CAN-2005-3120 (Stew Benedict)

* Wed Oct 19 2005 Pixel <pixel@mandriva.com> 2.8.5-5mdk
- security update for CAN-2005-3120 (P12) (Stew Benedict)

* Tue Aug 23 2005 Pixel <pixel@mandriva.com> 2.8.5-4mdk
- switch default page to www.mandrivalinux.com (bugzilla #17712)

* Fri Apr 29 2005 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.8.5-3mdk
- fix buildrequires
- %%mkrel

* Thu Apr 28 2005 Pixel <pixel@mandriva.com> 2.8.5-2mdk
- build with --enable-locale-charset and enable LOCALE_CHARSET by default
- build with ncursesw to handle utf8

* Fri Feb 06 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.8.5-1mdk
- 2.8.5 final:)

* Thu Jan 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.8.5-0.15mdk.pre.4
- new release
- rediff patch 1

